SystemOrganization addCategory: #'Rizel-Tests'!

TestCase subclass: #RizelBrowserTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Tests'!

!RizelBrowserTest methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 15:31'!
testCreation
	"Creational test"
	|browser|
	browser := RizelBrowser new.
	browser open.
	
! !

TestCase subclass: #RizelRunnerTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Tests'!

!RizelRunnerTest methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 18:06'!
testBasic
	|rep versions v80 runner|
	rep := MCHttpRepository location:'http://www.squeaksource.com/EyeSee'  user: '' password: ''.
	versions := ( (rep versionNamesBetween: 80 and: 85 every: 1) select:[:each | '*Core*' match: each]).
	v80 := versions first.
	runner := RizelVersionRunner repository: rep version: v80.
	runner profile: [ ESExamples new historyDiagram3. ].! !

!RizelRunnerTest methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 18:22'!
testEnviroment
	| t1 t2 t3 t4 t5 |
	t2 := MCHttpRepository
				location: 'http://www.squeaksource.com/EyeSee'
				user: ''
				password: ''.
	t3 := (t2
				versionNamesBetween: 80
				and: 85
				every: 1)
				select: [:t6 | '*Core*' match: t6].
	t1 := RizelEnviroment new.
	t3
		do: [:t6 | 
			| t7 t8 t9 |
			t7 := RizelVersionRunner repository: t2 version: t6.
			t8 := t7
						profile: [[ESExamples new historyDiagram3]
								on: Error
								do: []].
			t9 := RizelVersion new.
			t9 tally: t8;
				 versionNumber: t6.
			"t1 addVersion: t9"
			].
	self assert: t3 size = t1 versions size.
	^ t1! !
